Subject: bug#75295: emacs-math-preview: add math-preview dependency?

From: Christopher Howard <[email-masked]>
Date: Fri, 03 Jan 2025 09:18:48 -0900

muradm <[email-masked]> writes:

> mkdir -p ~/.config/npm
> mkdir -p ~/.local/share/npm
> echo "prefix=/home/muradm/.local/share/npm" > ~/.config/npm/config
>
> Then you can use "npm install -g ...".
>

Okay, thank you. Before reading this, I chatted with somebody on #node.js and they suggested "npm set prefix". I set my install prefix that way, and then I was able to run the install command with no issues. Now math-preview functions are working in my Emacs buffers.

So, I'm up and running. But I'd be inclined to keep this bug open, in case it might inspire someone to put together a package for that math-preview dependency.

-- 
Christopher Howard